// Fonts
@import url('https://fonts.bunny.net/css?family=Nunito');

// Variables
@import 'variables';

// Bootstrap
@import 'bootstrap/scss/bootstrap';

// fortawesome
@import '@fortawesome/fontawesome-free/css/all.css';
// @import '@fortawesome/fontawesome-free/css/fontawesome.css';
// @import '@fortawesome/fontawesome-free/css/regular.css';
// @import '@fortawesome/fontawesome-free/css/solid.css';
// @import '@fortawesome/fontawesome-free/css/brands.css';

// select2
@import 'select2/dist/css/select2.min.css';

@import 'pattern_lock';


* {
    box-sizing: border-box;
}

ul,
li {
    list-style: none;
    margin: 0;
    padding: 0;
}

table tr {
    vertical-align: middle;
}

.admin-content {
    margin-top: 60px;
    padding: 1% 2%;

    .shadow-lg {
        box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2) !important;
    }

    .admin-navbar-top {
        position: sticky;
        top: 60px;
        z-index: 10;
    }
    .admin-navbar-bottom {
        position: sticky;
        bottom: 10px;
        z-index: 10;
    }
}

.nav-item {
    margin-right: 1rem;
}

.table .td-radio {
    cursor: pointer;

    &:hover {
        background-color: #eee;
    }
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.repair-order-wrapper {
    font-family: 'notosanstc', sans-serif !important;
}